Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1672732 - Replace ovirt-guest-agent with qemu-guest-agent
Summary: Replace ovirt-guest-agent with qemu-guest-agent
Keywords:
Status: ON_QA
Alias: None
Product: ovirt-appliance
Classification: oVirt
Component: Packaging.rpm
Version: 4.2
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.4.0
: 4.4.0
Assignee: Nir Levy
QA Contact: Pavol Brilla
URL:
Whiteboard:
Depends On:
Blocks: 1729484
TreeView+ depends on / blocked
 
Reported: 2019-02-05 17:24 UTC by Sandro Bonazzola
Modified: 2020-01-01 19:35 UTC (History)
3 users (show)

Fixed In Version: ovirt-engine-appliance-4.4.0_alpha1
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Node
rule-engine: ovirt-4.4+
lleistne: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 99072 'None' MERGED build: replacing ovirt-guest-agent with qemu-guest-agent, space saving 2020-03-31 13:03:17 UTC

Description Sandro Bonazzola 2019-02-05 17:24:43 UTC
Replace dependency on ovirt-guest-agent with qemu-guest-agent.
oVirt Guest Agent has been deprecated in 4.3.0 and is being removed in 4.3.1 being its more important functionalities now included in QEMU Guest Agent.

Comment 1 Sandro Bonazzola 2019-02-06 15:40:06 UTC
Putting this on hold for now.

Comment 2 Sandro Bonazzola 2019-03-19 16:37:48 UTC
After all, ovirt-guest-agent is not going to be removed but kept for SSO function which is not needed in engine appliance.
We can still save some space by dropping the ovirt-guest-agent in favor of the qemu-guest-agent

Comment 3 John Florian 2020-01-01 19:35:07 UTC
This info needs additional exposure.  It took me about half an hour to find this to explain why ovirt-guest-agent-common can no longer be installed on Fedora 31.  Seems like this might also have warranted an "Obsoletes: ovirt-guest-agent-common" in qemu-agent or something like that to make the transition automatic, ideally with the news.  I did self-discover the qemu-agent package on F31 and wondered if this might be a replacement but it was only my thinking that perhaps there was a packaging bug in F31 that led to its omission that was or needed to be reported which got me here to an actual understanding.


Note You need to log in before you can comment on or make changes to this bug.